## ros-noetic-geometric-shapes 0.7.3

=== debian/changelog ===
ros-noetic-geometric-shapes (0.7.3-1buster) buster; urgency=high

  * [fix]   Fix memory leak (#168 <https://github.com/ros-planning/geometric_shapes/issues/168>)
  * [fix]   Use proper Eigen alignment for make_shared calls (#187 <https://github.com/ros-planning/geometric_shapes/issues/187>)
  * [maint] Migrate from Travis to GitHub Actions (#171 <https://github.com/ros-planning/geometric_shapes/issues/171>)
  * Contributors: Robert Haschke, Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Tue, 18 May 2021 22:00:00 -0000

ros-noetic-geometric-shapes (0.7.2-1buster) buster; urgency=high

  * [maint] Renamed SolidPrimitiveDimCount<shape>::value -> solidPrimitiveDimCount<shape>() (#121 <https://github.com/ros-planning/geometric_shapes/issues/121>)
  * [maint] cmake: Consistently use uppercase letters for QHULL dependency
  * [maint] cmake: Fix assimp warning
  * [maint] Update build badges for Noetic
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Thu, 24 Sep 2020 22:00:00 -0000

ros-noetic-geometric-shapes (0.7.1-1buster) buster; urgency=high

  * [maint] Declare external includes as SYSTEM includes
  * [maint] Migration to reentrant qhull (#149 <https://github.com/ros-planning/geometric_shapes/issues/149>)
  * [maint] Use soname version for library (#157 <https://github.com/ros-planning/geometric_shapes/issues/157>)
  * Contributors: Jochen Sprickerhof, Robert Haschke, Tyler Weaver

 -- Dave Coleman <dave@dav.ee>  Sun, 30 Aug 2020 22:00:00 -0000

ros-noetic-geometric-shapes (0.7.0-1buster) buster; urgency=high

  * [feature] Added constructShapeFromBody() and constructMarkerFromBody() (#138 <https://github.com/ros-planning/geometric_shapes/issues/138>)
  * [maint]   API cleanup
    * Improve inlining
    * ConvexMesh::MeshData as pimpl
    * Reverted ABI compatibility fixups for Melodic: ed4cf1339cf3765ae9ffa6e6fd111a4e342c5fa2, d582479084a10cac53a7f17e29818b3d8be6161e
  * Contributors: Martin Pecka, Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Sun, 24 May 2020 22:00:00 -0000

ros-noetic-geometric-shapes (0.6.3-1buster) buster; urgency=high

  * [maint]   Provide checkIsometry() helper function (#144 <https://github.com/ros-planning/geometric_shapes/issues/144>)
  * [maint]   Remove dynamic casts (#143 <https://github.com/ros-planning/geometric_shapes/issues/143>)
  * [feature] Added createEmptyBodyFromShapeType() (#137 <https://github.com/ros-planning/geometric_shapes/issues/137>)
    This allows more efficient body construction when scale, padding or pose should also be set during the construction.
  * Contributors: Martin Pecka, Michael Görner

 -- Dave Coleman <dave@dav.ee>  Sun, 24 May 2020 22:00:00 -0000

ros-noetic-geometric-shapes (0.6.2-1buster) buster; urgency=high

  * [maint]   clang-tidy fixes in headers (#139 <https://github.com/ros-planning/geometric_shapes/issues/139>)
  * [fix]     Various fixes + performance improvements (#109 <https://github.com/ros-planning/geometric_shapes/issues/109>, #126 <https://github.com/ros-planning/geometric_shapes/issues/126>, #107 <https://github.com/ros-planning/geometric_shapes/issues/107>, #108 <https://github.com/ros-planning/geometric_shapes/issues/108>)
    * Use Eigen::Isometry3d::linear() instead of rotation()
    * Normalize the direction vector passed to Body::intersectsRay() (#115 <https://github.com/ros-planning/geometric_shapes/issues/115>)
    * Improved test coverage
  * [feature] Added support for non-uniform scaling and padding of shapes. (#103 <https://github.com/ros-planning/geometric_shapes/issues/103>)
  * [maint]   Made bodies::samplePointInside() const. (#133 <https://github.com/ros-planning/geometric_shapes/issues/133>)
  * [fix]     Throw runtime exception when a shape or body should have a negative dimension. (#106 <https://github.com/ros-planning/geometric_shapes/issues/106>)
  * [maint]   Prefer std::make_shared (#116 <https://github.com/ros-planning/geometric_shapes/issues/116>)
  * [maint]   clang-tidy fixes (#114 <https://github.com/ros-planning/geometric_shapes/issues/114>)
  * [fix]     Use covariant returns for clone() (#102 <https://github.com/ros-planning/geometric_shapes/issues/102>)
  * [feature] Added bodies::Body::computeBoundingBox (aligned box version). (#104 <https://github.com/ros-planning/geometric_shapes/issues/104>)
  * [maint]   Windows compatibility: fix ASSIMP libraries path (#101 <https://github.com/ros-planning/geometric_shapes/issues/101>)
  * [fix]     Body::containsPoint(): always include surface points (#97 <https://github.com/ros-planning/geometric_shapes/issues/97>)
  * Contributors: Martin Pecka, Alejandro Hernández Cordero, Bryce Willey, Michael Görner, Mike Lautman, Robert Haschke, RoboticsYY, Sean Yen, Tyler Weaver

 -- Dave Coleman <dave@dav.ee>  Fri, 01 May 2020 22:00:00 -0000

ros-noetic-geometric-shapes (0.6.1-1buster) buster; urgency=high

  * Limit minimum number of cylinder vertices (on circumference) to 6 (#92 <https://github.com/ros-planning/geometric_shapes/issues/92>)
  * Eigen::Affine3d -> Eigen::Isometry3d (#88 <https://github.com/ros-planning/geometric_shapes/issues/88>)
  * Contributors: Robert Haschke, eisoku9618

 -- Dave Coleman <dave@dav.ee>  Sat, 08 Dec 2018 23:00:00 -0000

ros-noetic-geometric-shapes (0.6.0-1buster) buster; urgency=high

  * Add method getPlanes and use double precision for planes (#82 <https://github.com/ros-planning/geometric_shapes/issues/82>)
  * Contributors: Bence Magyar

 -- Dave Coleman <dave@dav.ee>  Sun, 13 May 2018 22:00:00 -0000

ros-noetic-geometric-shapes (0.5.4-1buster) buster; urgency=high

  * gracefully handle negative cylinder height: #64 <https://github.com/ros-planning/geometric_shapes/issues/64>, #80 <https://github.com/ros-planning/geometric_shapes/issues/80>
  * clang-formatting of whole repo: #79 <https://github.com/ros-planning/geometric_shapes/issues/79>
  * operator<< for ShapeType: #80 <https://github.com/ros-planning/geometric_shapes/issues/80>

